com.hazelcast.monitor

## Interface NearCacheStats

- All Superinterfaces:
    com.hazelcast.internal.management.JsonSerializable, LocalInstanceStats

      public interface NearCacheStats
      extends LocalInstanceStats

  Near Cache statistics to be used by `MemberState` implementations.

- - ### Field Summary

    - ### Fields inherited from interface com.hazelcast.monitor.LocalInstanceStats

      `STAT_NOT_AVAILABLE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getCreationTime()` Returns the creation time of this Near Cache on this member.
    `long` | `getEvictions()` Returns the number of evictions of Near Cache entries owned by this member.
    `long` | `getExpirations()` Returns the number of TTL and max-idle expirations of Near Cache entries owned by this member.
    `long` | `getHits()` Returns the number of hits (reads) of Near Cache entries owned by this member.
    `long` | `getInvalidations()` Returns the number of invalidations of Near Cache entries owned by this member.
    `long` | `getLastPersistenceDuration()` Returns the duration in milliseconds of the last Near Cache key persistence (when the pre-load feature is enabled).
    `String` | `getLastPersistenceFailure()` Returns the failure reason of the last Near Cache persistence (when the pre-load feature is enabled).
    `long` | `getLastPersistenceKeyCount()` Returns the number of persisted keys of the last Near Cache key persistence (when the pre-load feature is enabled).
    `long` | `getLastPersistenceTime()` Returns the timestamp of the last Near Cache key persistence (when the pre-load feature is enabled).
    `long` | `getLastPersistenceWrittenBytes()` Returns the written bytes of the last Near Cache key persistence (when the pre-load feature is enabled).
    `long` | `getMisses()` Returns the number of misses of Near Cache entries owned by this member.
    `long` | `getOwnedEntryCount()` Returns the number of Near Cache entries owned by this member.
    `long` | `getOwnedEntryMemoryCost()` Returns memory cost (number of bytes) of Near Cache entries owned by this member.
    `long` | `getPersistenceCount()` Returns the number of Near Cache key persistences (when the pre-load feature is enabled).
    `double` | `getRatio()` Returns the hit/miss ratio of Near Cache entries owned by this member.

    - ### Methods inherited from interface com.hazelcast.internal.management.JsonSerializable

      `fromJson, toJson`

- - ### Method Detail

    - #### getCreationTime

          long getCreationTime()

      Returns the creation time of this Near Cache on this member.
      Specified by:
        `getCreationTime` in interface `LocalInstanceStats`
      Returns:
        creation time of this Near Cache on this member

    - #### getOwnedEntryCount

          long getOwnedEntryCount()

      Returns the number of Near Cache entries owned by this member.
      Returns:
        number of Near Cache entries owned by this member

    - #### getOwnedEntryMemoryCost

          long getOwnedEntryMemoryCost()

      Returns memory cost (number of bytes) of Near Cache entries owned by this member.
      Returns:
        memory cost (number of bytes) of Near Cache entries owned by this member

    - #### getHits

          long getHits()

      Returns the number of hits (reads) of Near Cache entries owned by this member.
      Returns:
        number of hits (reads) of Near Cache entries owned by this member

    - #### getMisses

          long getMisses()

      Returns the number of misses of Near Cache entries owned by this member.
      Returns:
        number of misses of Near Cache entries owned by this member

    - #### getRatio

          double getRatio()

      Returns the hit/miss ratio of Near Cache entries owned by this member.
      Returns:
        hit/miss ratio of Near Cache entries owned by this member

    - #### getEvictions

          long getEvictions()

      Returns the number of evictions of Near Cache entries owned by this member.
      Returns:
        number of evictions of Near Cache entries owned by this member

    - #### getExpirations

          long getExpirations()

      Returns the number of TTL and max-idle expirations of Near Cache entries owned by this member.
      Returns:
        number of TTL and max-idle expirations of Near Cache entries owned by this member

    - #### getInvalidations

          long getInvalidations()

      Returns the number of invalidations of Near Cache entries owned by this member.
      Returns:
        number of invalidations of Near Cache entries owned by this member

    - #### getPersistenceCount

          long getPersistenceCount()

      Returns the number of Near Cache key persistences (when the pre-load feature is enabled).
      Returns:
        the number of Near Cache key persistences

    - #### getLastPersistenceTime

          long getLastPersistenceTime()

      Returns the timestamp of the last Near Cache key persistence (when the pre-load feature is enabled).
      Returns:
        the timestamp of the last Near Cache key persistence

    - #### getLastPersistenceDuration

          long getLastPersistenceDuration()

      Returns the duration in milliseconds of the last Near Cache key persistence (when the pre-load feature is enabled).
      Returns:
        the duration of the last Near Cache key persistence (in milliseconds)

    - #### getLastPersistenceWrittenBytes

          long getLastPersistenceWrittenBytes()

      Returns the written bytes of the last Near Cache key persistence (when the pre-load feature is enabled).
      Returns:
        the written bytes of the last Near Cache key persistence

    - #### getLastPersistenceKeyCount

          long getLastPersistenceKeyCount()

      Returns the number of persisted keys of the last Near Cache key persistence (when the pre-load feature is enabled).
      Returns:
        the number of persisted keys of the last Near Cache key persistence

    - #### getLastPersistenceFailure

          String getLastPersistenceFailure()

      Returns the failure reason of the last Near Cache persistence (when the pre-load feature is enabled).
      Returns:
        the failure reason of the last Near Cache persistence

Copyright © 2020. All rights reserved.